<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
const receiptStore = useReceiptStore()
</script>

<template>
  <!-- <v-table fixed-header height="300px"> -->
  <!-- <v-table style="border-radius: 8px"> -->
  <v-table>
    <thead>
      <tr style="color: #fff" class="bg-teal-darken-4">
        <th>No</th>
        <th>Name</th>
        <th>Price</th>
        <th>qty</th>
        <th>Totol</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr
        v-for="(item, index) of receiptStore.receiptItems"
        :key="item.id"
        :style="{ background: index % 2 === 0 ? '#967259' : '#ab8e7a', color: '#fff' }"
      >
        <td>{{ index + 1 }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td class="mx-4 text-center">
          <v-btn
            icon="mdi-minus"
            density="compact"
            color="error"
            @click="receiptStore.dec(item)"
          ></v-btn>
          {{ item.qty }}
          <v-btn
            icon="mdi-plus"
            density="compact"
            color="green-darken-3"
            @click="receiptStore.inc(item)"
          ></v-btn>
        </td>
        <td>{{ item.price * item.qty }}</td>
        <td>
          <v-btn
            icon="mdi-trash-can"
            density="compact"
            color="amber-darken-4"
            @click="
              () => {
                receiptStore.removeItem(item)
              }
            "
          ></v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
